> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Valid WhatsApp Number

> Method that verifies if a number has WhatsApp active

Method that verifies if a number has WhatsApp active

`POST` `/v1/valid-whatsapp`

## Body

```json theme={null}
{
  "token": "TOKEN_SHIMLI",
  "instance": "INSTANCE_SHIMLI",
  "number": "NUMBER_WHATSAPP"
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X POST https://api.shimli.app/v1/valid-whatsapp \
  -H "Content-Type: application/json" \
  -d '{
    "token": "TOKEN_SHIMLI",
    "instance": "INSTANCE_SHIMLI",
    "number": "NUMBER_WHATSAPP"
}'
```

## Respuesta

```json title="200 OK" theme={null}
{
  "statusCode": 200,
  "body": {
    "err": false,
    "response": {
      "id": "1234567890@c.us",
      "status": 404,
      "isBusiness": false,
      "canReceiveMessage": false
    }
  }
}
```
